@import "variables";
@media (min-width: 320px) {

  .main__section1 {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: column;
    gap: 40px;
    background-color: rgb(32, 32, 32);
    width: 100%;

    background-image: url(../images/ellipse.svg);
    background-repeat: no-repeat;
    background-position: right;
    background-size: 150px;

    &-h1 {
      font-family: $font-secondary;
      font-weight: $font-medium;
      font-size: $font-size-large;
      color: #faeb49;
      width: 320px;

      margin-top: 72px;
      margin-left: 16px;
    }

    &-p {
      font-family: $font-primary;
      font-weight: $font-regular;
      font-size: $font-size-xs;
      line-height: 20px;
      text-align: left;
      color: $primary-color;
      width: 320px;

      margin-left: 16px;
    }

  }

  .main__section-frame {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: row;
    gap: 14px;
    margin-left: 17px;
    margin-bottom: 76px;

    &-p {
      display: flex;
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
      gap: 5px;

      font-family: $font-secondary;
      font-weight: $font-medium;
      font-size: $font-size-large;
      color: $primary-color;
    }

    &-span {
      display: flex;
      flex-direction: column;
      font-family: $font-primary;
      font-weight: $font-medium;
      font-size: $font-size-root;
      color: $primary-color;
    }
  }

  .main__section2{
    background: #3c3c3c;
    height: 1206px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .main__project {
    display: inline-block;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: column;

    border-radius: 24px;
    padding: 16px;
    width: 345px;
    height: 490px;

    background: #fffef2;
    margin-top: 85px;

    position: relative;
  }

  .main__project-img1 {
    border-radius: 24px;
    width: 310px;
    height: 280px;
  }

  .main__project-arrow {
    position: absolute;
    right: 10%;
    top: 6%;

    background-image: url("../images/arrow.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 64px;
    height: 64px;
  }

  .main__project-h1{
    text-decoration: none;
    font-family: $font-secondary;
    font-weight: 600;
    font-size: 32px;
    color: #565656;
    margin-top: 20px;

  }

  .main__project-p {
    color: rgb(0, 0, 0);
    font-family: $font-primary;
    font-size: $font-size-xs;
    font-weight: $font-medium;
    line-height: 20px;
    text-align: left;

    margin-top: 20px;
  }

  .main__save {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: column;
    position: relative;

    border-radius: 24px;
    padding: 12px;
    width: 345px;
    margin-top: 65px;

    background-color: #fffef2;
  }

  .main__save-img1 {
    border-radius: 24px;
    width: 320px;
    height: 360px;
  }

  .main__save-arrow {
    position: absolute;
    right: 10%;
    top: 6%;

    background-image: url("../images/arrow.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 64px;
    height: 64px;
  }

  .main__save-h1 {
    color: rgb(86, 86, 86);
    font-family: $font-secondary;
    font-size: $font-size-medium;
    font-weight: $font-medium;
    line-height: 29px;
    text-align: left;

    margin-top: 20px;
  }

  .main__save-p {
    color: rgb(0, 0, 0);
    font-family: $font-primary;
    font-size: $font-size-xs;
    font-weight: $font-medium;
    line-height: 20px;
    text-align: left;

    margin-top: 20px;
  }

  .main__banking {
    display: none;
  }

  .main__banking-1 {
    display: none;
  }

  .main__section3 {
    display: flex;
    align-items: center;
    height: 1260px;
    flex-direction: column;
    background-color: #202020;
  }

  .main__section3-h1 {
    font-family: $font-secondary;
    font-weight: $font-medium;
    font-size: $font-size-large;
    color: $primary-color;
    text-align: left;
    margin-bottom: 28px;
    margin-top: 52px;
    margin-right: 50px;
  }

  .main__section3-container1 {
    position: relative;
    z-index: 2;

    &::before {
      content: url(../images/soft-star.svg);
      position: absolute;
      top: 80px;
      left: 85px;
      z-index: 1;
    }
  }

  .main__section3-img1 {
    border-radius: 40px;
    width: 343px;
    height: 325px;
    position: relative;
    filter: grayscale(100%);
    margin-bottom: 20px;
  }

  .main__section3-img2 {
    border-radius: 40px;
    width: 343px;
    height: 325px;
    filter: grayscale(100%);
    margin-bottom: 20px;
  }

  .main__section3-container2 {
    position: relative;
    z-index: 2;

    &::before {
      content: url(../images/butterfly.svg);
      position: absolute;
      top: 80px;
      left: 85px;
      z-index: 1;
    }
  }

  .main__section3-container3 {
    position: relative;
    z-index: 2;

    &::before {
      content: url(../images/asteriks.svg);
      position: absolute;
      top: 80px;
      left: 85px;
      z-index: 1;
    }
  }

  .main__section3-img3 {
    border-radius: 40px;
    width: 343px;
    height: 325px;
    filter: grayscale(100%);
    margin-bottom: 20px;
  }
}

.main__section4 {
  background-color: rgba(0, 0, 0, 0.5);
  background-image: url(../images/Rectangle-8.jpg);
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 498px;
  position: relative;
  z-index: 1;

  &::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,.5);
    z-index: 2;
  }
}

.main__section4-p {
  color: rgb(255, 255, 255);
  font-family: $font-secondary;
  font-size: $font-size-medium;
  font-weight: $font-medium;
  line-height: 29px;
  text-align: center;
  z-index: 3;

  width: 343px;
  height: 145px;
}